## org.eclipse.emf.ecore.impl
Class ETypedElementImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.ETypedElementImpl

All Implemented Interfaces:
  Notifier, EModelElement, ENamedElement, EObject, ETypedElement, InternalEObject

Direct Known Subclasses:
  EOperationImpl, EParameterImpl, EStructuralFeatureImpl

    public abstract class ETypedElementImpl

extends ENamedElementImpl
implements ETypedElement

An implementation of the model object 'ETyped Element'.

The following features are implemented:

- `Ordered`
- `Unique`
- `Lower Bound`
- `Upper Bound`
- `Many`
- `Required`
- `EType`
- `EGeneric Type`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected EGenericType` `eGenericType` The cached value of the '`EGeneric Type`' containment reference
`protected EClassifier` `eType` The cached value of the '`EType`' reference
`protected static int` `LOWER_BOUND_EDEFAULT` The default value of the '`Lower Bound`' attribute
`protected int` `lowerBound` The cached value of the '`Lower Bound`' attribute
`protected static boolean` `MANY_EDEFAULT` The default value of the '`Many`' attribute
`protected static boolean` `ORDERED_EDEFAULT` The default value of the '`Ordered`' attribute
`protected static int` `ORDERED_EFLAG` The flag representing the value of the '`Ordered`' attribute
`protected static boolean` `REQUIRED_EDEFAULT` The default value of the '`Required`' attribute
`protected static boolean` `UNIQUE_EDEFAULT` The default value of the '`Unique`' attribute
`protected static int` `UNIQUE_EFLAG` The flag representing the value of the '`Unique`' attribute
`protected static int` `UPPER_BOUND_EDEFAULT` The default value of the '`Upper Bound`' attribute
`protected int` `upperBound` The cached value of the '`Upper Bound`' attribute

Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`name, NAME_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eContents, eCrossReferences, eProxyURI`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.ETypedElement
`UNBOUNDED_MULTIPLICITY, UNSPECIFIED_MULTIPLICITY`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `ETypedElementImpl()`

Method Summary
`EClassifier` `basicGetEType()`
`NotificationChain` `basicSetEGenericType(EGenericType newEGenericType, NotificationChain msgs)`
`NotificationChain` `basicUnsetEGenericType(NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`protected void` `freeze()`
`EGenericType` `getEGenericType()`
`EClassifier` `getEType()`
`int` `getLowerBound()`
`int` `getUpperBound()`
`boolean` `isMany()` Returns the value of the 'Many' attribute
`boolean` `isOrdered()`
`boolean` `isRequired()` Returns the value of the 'Required' attribute
`boolean` `isSetEGenericType()`
`boolean` `isSetEType()`
`boolean` `isUnique()`
`void` `setEGenericType(EGenericType newEGenericType)`
`NotificationChain` `setEGenericType(EGenericType newEGenericType, NotificationChain msgs)`
`void` `setEType(EClassifier newEType)` Sets the value of the '`EType`' reference
`NotificationChain` `setEType(EClassifier newEType, NotificationChain msgs)`
`void` `setLowerBound(int newLowerBound)`
`void` `setOrdered(boolean newOrdered)`
`void` `setUnique(boolean newUnique)`
`void` `setUpperBound(int newUpperBound)`
`java.lang.String` `toString()`
`void` `unsetEGenericType()`
`void` `unsetEType()`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eInverseAdd, eObjectForURIFragmentSegment, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eIsProxy, eProperties, eProxyURI, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### ORDERED_EDEFAULT

    protected static final boolean ORDERED_EDEFAULT

  The default value of the '`Ordered`' attribute.

  See Also:
    `isOrdered()`, Constant Field Values

### ORDERED_EFLAG

    protected static final int ORDERED_EFLAG

  The flag representing the value of the '`Ordered`' attribute.

  See Also:
    `isOrdered()`, Constant Field Values

### UNIQUE_EDEFAULT

    protected static final boolean UNIQUE_EDEFAULT

  The default value of the '`Unique`' attribute.

  See Also:
    `isUnique()`, Constant Field Values

### UNIQUE_EFLAG

    protected static final int UNIQUE_EFLAG

  The flag representing the value of the '`Unique`' attribute.

  See Also:
    `isUnique()`, Constant Field Values

### LOWER_BOUND_EDEFAULT

    protected static final int LOWER_BOUND_EDEFAULT

  The default value of the '`Lower Bound`' attribute.

  See Also:
    `getLowerBound()`, Constant Field Values

### lowerBound

    protected int lowerBound

  The cached value of the '`Lower Bound`' attribute.

  See Also:
    `getLowerBound()`

### UPPER_BOUND_EDEFAULT

    protected static final int UPPER_BOUND_EDEFAULT

  The default value of the '`Upper Bound`' attribute.

  See Also:
    `getUpperBound()`, Constant Field Values

### upperBound

    protected int upperBound

  The cached value of the '`Upper Bound`' attribute.

  See Also:
    `getUpperBound()`

### MANY_EDEFAULT

    protected static final boolean MANY_EDEFAULT

  The default value of the '`Many`' attribute.

  See Also:
    `isMany()`, Constant Field Values

### REQUIRED_EDEFAULT

    protected static final boolean REQUIRED_EDEFAULT

  The default value of the '`Required`' attribute.

  See Also:
    `isRequired()`, Constant Field Values

### eType

    protected EClassifier eType

  The cached value of the '`EType`' reference.

  See Also:
    `getEType()`

### eGenericType

    protected EGenericType eGenericType

  The cached value of the '`EGeneric Type`' containment reference.

  See Also:
    `getEGenericType()`

Constructor Detail

### ETypedElementImpl

    protected ETypedElementImpl()

Method Detail

### freeze

    protected void freeze()

  Overrides:
    `freeze` in class `EModelElementImpl`

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `ENamedElementImpl`

### isOrdered

    public boolean isOrdered()

  Specified by:
    `isOrdered` in interface `ETypedElement`
  Returns:
    the value of the 'Ordered' attribute.
  See Also:
    `ETypedElement.setOrdered(boolean)`, `EcorePackage.getETypedElement_Ordered()`

### setOrdered

    public void setOrdered(boolean newOrdered)

  Specified by:
    `setOrdered` in interface `ETypedElement`
  Parameters:
    `newOrdered` - the new value of the 'Ordered' attribute.
  See Also:
    `ETypedElement.isOrdered()`

### isUnique

    public boolean isUnique()

  Specified by:
    `isUnique` in interface `ETypedElement`
  Returns:
    the value of the 'Unique' attribute.
  See Also:
    `ETypedElement.setUnique(boolean)`, `EcorePackage.getETypedElement_Unique()`

### setUnique

    public void setUnique(boolean newUnique)

  Specified by:
    `setUnique` in interface `ETypedElement`
  Parameters:
    `newUnique` - the new value of the 'Unique' attribute.
  See Also:
    `ETypedElement.isUnique()`

### getLowerBound

    public int getLowerBound()

  Specified by:
    `getLowerBound` in interface `ETypedElement`
  Returns:
    the value of the 'Lower Bound' attribute.
  See Also:
    `ETypedElement.setLowerBound(int)`, `EcorePackage.getETypedElement_LowerBound()`

### setLowerBound

    public void setLowerBound(int newLowerBound)

  Specified by:
    `setLowerBound` in interface `ETypedElement`
  Parameters:
    `newLowerBound` - the new value of the 'Lower Bound' attribute.
  See Also:
    `ETypedElement.getLowerBound()`

### getUpperBound

    public int getUpperBound()

  Specified by:
    `getUpperBound` in interface `ETypedElement`
  Returns:
    the value of the 'Upper Bound' attribute.
  See Also:
    `ETypedElement.setUpperBound(int)`, `EcorePackage.getETypedElement_UpperBound()`

### setUpperBound

    public void setUpperBound(int newUpperBound)

  Specified by:
    `setUpperBound` in interface `ETypedElement`
  Parameters:
    `newUpperBound` - the new value of the 'Upper Bound' attribute.
  See Also:
    `ETypedElement.getUpperBound()`

### isMany

    public boolean isMany()

  Description copied from interface: `ETypedElement`
  Returns the value of the 'Many' attribute.

  It represents whether more than one value may appear in a valid instance.

  Specified by:
    `isMany` in interface `ETypedElement`
  Returns:
    the value of the 'Many' attribute.
  See Also:
    `EcorePackage.getETypedElement_Many()`

### isRequired

    public boolean isRequired()

  Description copied from interface: `ETypedElement`
  Returns the value of the 'Required' attribute.

  It represents whether at least one value is required for a valid instance.

  Specified by:
    `isRequired` in interface `ETypedElement`
  Returns:
    the value of the 'Required' attribute.
  See Also:
    `EcorePackage.getETypedElement_Required()`

### getEType

    public EClassifier getEType()

  Specified by:
    `getEType` in interface `ETypedElement`
  Returns:
    the value of the 'EType' reference.
  See Also:
    ``, `ETypedElement.setEType(EClassifier)`, `EcorePackage.getETypedElement_EType()`

### basicGetEType

    public EClassifier basicGetEType()

### setEType

    public NotificationChain setEType(EClassifier newEType,
                                      NotificationChain msgs)

### setEType

    public void setEType(EClassifier newEType)

  Description copied from interface: `ETypedElement`
  Sets the value of the '`EType`' reference.

  Specified by:
    `setEType` in interface `ETypedElement`
  Parameters:
    `newEType` - the new value of the 'EType' reference.
  See Also:
    `ETypedElement.getEType()`

### unsetEType

    public void unsetEType()

### isSetEType

    public boolean isSetEType()

### getEGenericType

    public EGenericType getEGenericType()

  Specified by:
    `getEGenericType` in interface `ETypedElement`
  Returns:
    the value of the 'EGeneric Type' containment reference.
  See Also:
    `ETypedElement.setEGenericType(EGenericType)`, `EcorePackage.getETypedElement_EGenericType()`

### basicSetEGenericType

    public NotificationChain basicSetEGenericType(EGenericType newEGenericType,
                                                  NotificationChain msgs)

### setEGenericType

    public NotificationChain setEGenericType(EGenericType newEGenericType,
                                             NotificationChain msgs)

### setEGenericType

    public void setEGenericType(EGenericType newEGenericType)

  Specified by:
    `setEGenericType` in interface `ETypedElement`
  Parameters:
    `newEGenericType` - the new value of the 'EGeneric Type' containment reference.
  See Also:
    `ETypedElement.getEGenericType()`

### basicUnsetEGenericType

    public NotificationChain basicUnsetEGenericType(NotificationChain msgs)

### unsetEGenericType

    public void unsetEGenericType()

### isSetEGenericType

    public boolean isSetEGenericType()

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `EModelElementImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `ENamedElementImpl`
  See Also:
    `InternalEObject.eGet(EStructuralFeature, boolean, boolean)`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `ENamedElementImpl`
  See Also:
    `EObject.eSet(EStructuralFeature, Object)`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `ENamedElementImpl`
  See Also:
    `EObject.eUnset(EStructuralFeature)`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `ENamedElementImpl`
  See Also:
    `EObject.eIsSet(EStructuralFeature)`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `ENamedElementImpl`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.